# 报警系统接口文档

## 系统接口

>
> #### （注：userId、groupCode、projectId必须传值，appId可以为空）
>
> #### 请求方法：POST

#### 查询

分页，排序等通用操作请参照
[通用查询](/utils/query.md)。
本文档的入参只包含通用查询的criteria部分

### 查询报警条目

请求路径：/alarm/item/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

（注：condition 为 query）

请求参数：

```json
{
  "id": "1",
  "code": "1033",
  "name": "测试报警",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "dealFun": "test_deal_fun",
  "createUser": "test",
  "createTime": 1602962584000,
  "updateUser": "test",
  "updateTime": 1602962586000,
  "valid": 1
}
```

返回值：

```json
{
  "result": "success",
  "data": [
    {
      "id": "45",
      "code": "1044",
      "name": "高温报警",
      "category": "Eq",
      "level": "S",
      "createUser": "System",
      "valid": 1,
      "projectId": "Pj1101050029",
      "groupCode": "WD"
    },
    {
      "id": "145",
      "code": "1044",
      "name": "高温报警",
      "category": "Eq",
      "level": "S",
      "createUser": "System",
      "valid": 1,
      "projectId": "Pj1101050029",
      "groupCode": "XG"
    },
    {
      "id": "245",
      "code": "1044",
      "name": "高温报警",
      "category": "Eq",
      "level": "S",
      "createUser": "System",
      "valid": 1,
      "projectId": "Pj4403050019",
      "groupCode": "ZS"
    }
  ],
  "count": 171
}
```

### 报警匹配规则

请求路径：/alarm/target/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

（注：condition 为 query，create，update，delete）

请求参数：

```json
查询字段：
{
  "id": "1",
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "condition": {}, //额外写文档
  "concern": 1,
  "open": 2,
  "createUser": "test",
  "createTime": 1602963135000,
  "updateUser": "test",
  "updateTime": 1602963138000,
  "valid": 1
}
新增：
{
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "concern": 1,
  "open": 2,
  "condition": {}, //额外写文档
  "valid": 1
}
更新：
{
  "id": "1",
  "itemCode": "1033",
  "classCode": "OBJ_AX_CODE",
  "concern": 1,
  "open": 2,
  "condition": {}, //额外写文档
  "valid": 1
}
删除：
{
  "id": "1"
}
```

### 查询报警定义

请求路径：/alarm/config/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
{
  "id": "1",
  "objId": "OBJ_1",
  "classCode": "ACATAH",
  "projectId": "PRJ_WD_001",
  "itemCode": "1033",
  "category": "消防报警",
  "level": "S",
  "remark": "测试数据",
  "open": 1,
  "concern": 1,
  "userDefined": 1,
  "createUser": "test",
  "createTime": 1602962781000,
  "updateUser": "test",
  "updateTime": 1602962783000,
  "valid": 1
}
```

返回值

```json
{
  "result": "success",
  "data": [
    {
      "id": "0023d50f-316a-4ba7-8405-beb96e7c1647",
      "objId": "Eq1101050029b24be1bfec1d412395d0cb967c2afe17",
      "classCode": "ACATAH",
      "projectId": "Pj1101050029",
      "itemCode": "1008",
      "category": "Eq",
      "level": "S",
      "condition": {
        "end": "faultStatus<0.5",
        "time": {
          "type": "period",
          "period": {
            "$gt": "090000",
            "$lt": "210000"
          }
        },
        "trigger": "faultStatus>0.5",
        "infoCode": [
          "faultStatus"
        ],
        "endUphold": 0,
        "triggerUphold": 0
      },
      "open": 0,
      "concern": 0,
      "userDefined": 0,
      "createUser": "System",
      "createTime": 1604890777000,
      "valid": 1,
      "groupCode": "WD"
    }
  ],
  "count": 8244
}
```

###  查询报警记录

请求路径：/alarm/record/query?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id


请求参数：

```json
{
  "id": "1",
  "itemCode": "1033",
  "projectId": "PRJ_WD_001",
  "objId": "OBJ_1",
  "level": "S",
  "remark": "测试数据",
  "name": '报警名称',
  "category": '报警分类',
  "concern": 1,
  "nature": "报警性质",
  "treat_mode": "处理方式",
  "treat_state": "处理状态",
  "state": "报警状态",
  "effectStartTime": 1602953256000 ,
  "effectEndTime": 1602953256000 ,
  "createUser": "test",
  "createTime": 1602953249000,
  "updateUser": "test",
  "updateTime": 1602953256000,
  "valid": 1
}
```

返回值

```json
{
  "result": "success",
  "data": [
    {
      "id": "957cc32c-8579-480e-b7ce-37b6c45c1a06",
      "itemCode": "1005",
      "projectId": "Pj1101050029",
      "objId": "Eq1101050029a90b5c93692e49c68bd27174ba9f7169",
      "classCode": "WSDWPP",
      "level": "S",
      "remark": "东坝万达地下二层  设备-S8L8M 13m³/h - 90m - 5.5kW-B2产生报警",
      "name": "生活给水水泵 产生报警",
      "category": "Eq",
      "concern": 0,
      "state": 2,
      "createUser": "system",
      "condition": {
        "end": "onlineStatus<0.5",
        "trigger": "onlineStatus>0.5",
        "infoCode": [
          "onlineStatus"
        ],
        "endUphold": 0,
        "infoCodes": [
          {
            "funcId": "901",
            "meterId": "WSDWPP_21_onlineStatus",
            "infoCode": "onlineStatus"
          }
        ],
        "triggerUphold": 0
      },
      "triggerInfo": {
        "onlineStatus": 1
      },
      "triggerTime": 1605853815000,
      "endInfo": {
        "onlineStatus": 0
      },
      "endTime": 1605855610000,
      "createTime": 1605854329000,
      "updateUser": "system",
      "updateTime": 1605855628000,
      "valid": 1,
      "groupCode": "WD"
    }
  ],
  "count": 27213
}
```

### 报警批注

请求路径：/alarm/comment/{condition}?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

（注：condition 为 query，create）

请求参数：

```json
查询字段：
{
  "id": "1",
  "record_id": "1033",
  "content": 1,
  "createUser": "TEST",
  "createTime": 1602953249000,
  "updateTime": 1602953249000,
  "updateUser": "TEST",
  "valid": 1
}
新增：
{
  "record_id": "1033",
  "content": "内容"
}
```