# 报警系统数据字典

## 报警类型

```java
public enum EnumAlarmCategory {
    EQ("Eq", "设备报警"),
    SP("Sp", "空间报警"),
    SY("Sy", "系统报警"),
    RUN("Run", "高效运行报警"),
    ENV("Env", "环境报警");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警等级

```java
public enum EnumAlarmLevel {
    S("S", "高"),
    A("A", "中"),
    B("B", "低");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警性质

```java
public enum EnumAlarmNature {
    MISTAKE(1, "误报"),
    TRUE(2, "真实报警"),
    TEST(3, "测试报警");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警状态

```java
public enum EnumAlarmState {
    UN_HANDLE(1, "未恢复"),
    END(2, "已恢复"),
    EXPIRE(3, "已过期");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警处理方式

```java
public enum EnumAlarmTreatMode {
    IGNORE(1, "忽略"),
    ORDER(2, "转工单"),
    CLOSE(3, "关闭报警");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警处理状态

```java
public enum EnumAlarmTreatState {
    UN_HANDLE(1, "未处理"),
    HANDLING(2, "处理中"),
    DONE(3, "处理完成");

    @Setter
    @Getter
    private Integer type;

    @Setter
    @Getter
    private String desc;
}
```

## 报警条目

|编码|名称|
|----|----|
|2001|计划一致性报警-设备多开|
|2002|计划一致性报警-设备少开|
|2003|计划一致性报警-异常开启|
|2004|计划一致性报警-异常关闭|
|2005|历史一致性报警-设备多开|
|2006|历史一致性报警-设备少开|
|2007|历史一致性报警-异常开启|
|2008|历史一致性报警-异常关闭|
